LMAccess (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: LMAccess

Package com.sun.jna.platform.win32

# Interface LMAccess

public interface LMAccess
Ported from LMAccess.h. Windows SDK 6.0A.

Author:
  dblock[at]dblock.org

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static class`
  `LMAccess.GROUP_INFO_0`
  The GROUP_INFO_0 structure contains the name of a global group in the security database, which is the security accounts manager (SAM) database or, in the case of domain controllers, the Active Directory.
  `static class`
  `LMAccess.GROUP_INFO_1`
  The GROUP_INFO_1 structure contains a global group name and a comment to associate with the group.
  `static class`
  `LMAccess.GROUP_INFO_2`
  The GROUP_INFO_2 structure contains information about a global group, including name, identifier, and resource attributes.
  `static class`
  `LMAccess.GROUP_INFO_3`
  The GROUP_INFO_3 structure contains information about a global group, including name, security identifier (SID), and resource attributes.
  `static class`
  `LMAccess.GROUP_USERS_INFO_0`
  The GROUP_USERS_INFO_0 structure contains global group member information.
  `static class`
  `LMAccess.LOCALGROUP_INFO_0`
  `static class`
  `LMAccess.LOCALGROUP_INFO_1`
  `static class`
  `LMAccess.LOCALGROUP_USERS_INFO_0`
  The LOCALGROUP_USERS_INFO_0 structure contains local group member information.
  `static class`
  `LMAccess.USER_INFO_0`
  The USER_INFO_0 structure contains a user account name.
  `static class`
  `LMAccess.USER_INFO_1`
  The USER_INFO_1 structure contains information about a user account, including account name, password data, privilege level, and the path to the user's home directory.
  `static class`
  `LMAccess.USER_INFO_23`
  The USER_INFO_23 structure contains information about a user account, including the account name, the user's full name, a comment associated with the account, and the user's security identifier (SID).

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ACCESS_ALL`
  `static final int`
  `ACCESS_ATRIB`
  `static final int`
  `ACCESS_CREATE`
  `static final int`
  `ACCESS_DELETE`
  `static final int`
  `ACCESS_EXEC`
  `static final int`
  `ACCESS_GROUP`
  `static final int`
  `ACCESS_NONE`
  `static final int`
  `ACCESS_PERM`
  `static final int`
  `ACCESS_READ`
  `static final int`
  `ACCESS_WRITE`
  `static final int`
  `FILTER_INTERDOMAIN_TRUST_ACCOUNT`
  `static final int`
  `FILTER_NORMAL_ACCOUNT`
  `static final int`
  `FILTER_SERVER_TRUST_ACCOUNT`
  `static final int`
  `FILTER_TEMP_DUPLICATE_ACCOUNT`
  `static final int`
  `FILTER_WORKSTATION_TRUST_ACCOUNT`
  `static final int`
  `USER_PRIV_ADMIN`
  `static final int`
  `USER_PRIV_GUEST`
  `static final int`
  `USER_PRIV_MASK`
  `static final int`
  `USER_PRIV_USER`

- ## Field Details

  - ### FILTER_TEMP_DUPLICATE_ACCOUNT

    static final int FILTER_TEMP_DUPLICATE_ACCOUNT
    See Also:
      - Constant Field Values

  - ### FILTER_NORMAL_ACCOUNT

    static final int FILTER_NORMAL_ACCOUNT
    See Also:
      - Constant Field Values

  - ### FILTER_INTERDOMAIN_TRUST_ACCOUNT

    static final int FILTER_INTERDOMAIN_TRUST_ACCOUNT
    See Also:
      - Constant Field Values

  - ### FILTER_WORKSTATION_TRUST_ACCOUNT

    static final int FILTER_WORKSTATION_TRUST_ACCOUNT
    See Also:
      - Constant Field Values

  - ### FILTER_SERVER_TRUST_ACCOUNT

    static final int FILTER_SERVER_TRUST_ACCOUNT
    See Also:
      - Constant Field Values

  - ### USER_PRIV_MASK

    static final int USER_PRIV_MASK
    See Also:
      - Constant Field Values

  - ### USER_PRIV_GUEST

    static final int USER_PRIV_GUEST
    See Also:
      - Constant Field Values

  - ### USER_PRIV_USER

    static final int USER_PRIV_USER
    See Also:
      - Constant Field Values

  - ### USER_PRIV_ADMIN

    static final int USER_PRIV_ADMIN
    See Also:
      - Constant Field Values

  - ### ACCESS_NONE

    static final int ACCESS_NONE
    See Also:
      - Constant Field Values

  - ### ACCESS_READ

    static final int ACCESS_READ
    See Also:
      - Constant Field Values

  - ### ACCESS_WRITE

    static final int ACCESS_WRITE
    See Also:
      - Constant Field Values

  - ### ACCESS_CREATE

    static final int ACCESS_CREATE
    See Also:
      - Constant Field Values

  - ### ACCESS_EXEC

    static final int ACCESS_EXEC
    See Also:
      - Constant Field Values

  - ### ACCESS_DELETE

    static final int ACCESS_DELETE
    See Also:
      - Constant Field Values

  - ### ACCESS_ATRIB

    static final int ACCESS_ATRIB
    See Also:
      - Constant Field Values

  - ### ACCESS_PERM

    static final int ACCESS_PERM
    See Also:
      - Constant Field Values

  - ### ACCESS_ALL

    static final int ACCESS_ALL
    See Also:
      - Constant Field Values

  - ### ACCESS_GROUP

    static final int ACCESS_GROUP
    See Also:
      - Constant Field Values